- Qt 6.4
- Qt SCXML
- C++ Classes
- ParameterInfo
- Qt 6.4.2 Reference Documentation

# ParameterInfo Struct

struct QScxmlExecutableContent::ParameterInfo

The ParameterInfo class represents a parameter to a service invocation. More...

Header: | #include <ParameterInfo>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Scxml) target_link_libraries(mytarget PRIVATE Qt6::Scxml)
qmake: | QT += scxml
Since: | Qt 5.8

- List of all members, including inherited members

## Public Variables

QScxmlExecutableContent::EvaluatorId | expr
QScxmlExecutableContent::StringId | location
QScxmlExecutableContent::StringId | name

## Detailed Description

## Member Variable Documentation

### QScxmlExecutableContent::EvaluatorId ParameterInfo::expr

This variable holds the expression to be evaluated

### QScxmlExecutableContent::StringId ParameterInfo::location

This variable holds the data model name of the item to be passed as a parameter

### QScxmlExecutableContent::StringId ParameterInfo::name

This variable holds the name of the parameter